Part ShapeFromMesh/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/de |Part KastenAuswahl |PunkteAusNetz |Part |IconL=Part_BoxSelection.svg |IconC=Workbench_Part....")
(Created page with "* [https://www.youtube.com/watch?v=5lwENZeNiNg&feature=youtu.be Bearbeite STL Dateien in FreeCAD] Video von AllVisuals4U.")
Line 36: Line 36:
== Verweise ==
== Verweise ==


* [https://www.youtube.com/watch?v=5lwENZeNiNg&feature=youtu.be Edit STL Files In FreeCAD] video by AllVisuals4U.
* [https://www.youtube.com/watch?v=5lwENZeNiNg&feature=youtu.be Bearbeite STL Dateien in FreeCAD] Video von AllVisuals4U.


==Skripten==
==Skripten==

Revision as of 20:50, 4 October 2020

Part FormAusNetz

Menüeintrag
Part → Erzeuge Form aus Netz...
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
UmwandelnInFestkörper, FormVerfeinern, PunkteAusNetz

Einführung

The Part ShapeFromMesh command creates a shape from a mesh object. Mesh objects have limited editing capabilities in FreeCAD, converting them to shapes will allow their use with many more boolean and modification tools.

The inverse operation is Mesh FromPartShape from the Mesh Workbench.

Anwendung

  1. Select the mesh object in the tree view.
  2. Go to the menu, Part → Create shape from mesh.
  3. A popup-menu will ask for the tolerance for sewing shape; the default value is 0.1.
  4. A shape from the mesh object is created as a separate new object.

Analyzing and repairing of the mesh, if needed, should be done manually before launching ShapeFromMesh. Appropriate tools for this task are available in the Mesh Workbench.

After creation of a Shape, it may be useful to use Convert to solid (necessary for boolean operations) and Refine shape.

Verweise

Skripten

Creating a Shape from a Mesh can be done by using the makeShapeFromMesh method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()